signal_processing plugged.
[scilab.git] / scilab / modules / signal_processing / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40
41 VPATH = @srcdir@
42 pkgdatadir = $(datadir)/@PACKAGE@
43 pkgincludedir = $(includedir)/@PACKAGE@
44 pkglibdir = $(libdir)/@PACKAGE@
45 pkglibexecdir = $(libexecdir)/@PACKAGE@
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 install_sh_DATA = $(install_sh) -c -m 644
48 install_sh_PROGRAM = $(install_sh) -c
49 install_sh_SCRIPT = $(install_sh) -c
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = $(program_transform_name)
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 build_triplet = @build@
59 host_triplet = @host@
60 DIST_COMMON = $(libscisignal_processing_la_include_HEADERS) \
61         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
62         $(top_srcdir)/Makefile.incl.am
63 @NEED_JAVA_TRUE@am__append_1 = java
64 subdir = modules/signal_processing
65 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
66 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
67         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/fftw.m4 \
68         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
69         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
70         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
71         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
72         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
73         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
74         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
75         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
76         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
77         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
78         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
79         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
80         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
81 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
82         $(ACLOCAL_M4)
83 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
84 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
85 CONFIG_CLEAN_FILES =
86 CONFIG_CLEAN_VPATH_FILES =
87 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
88 am__vpath_adj = case $$p in \
89     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
90     *) f=$$p;; \
91   esac;
92 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
93 am__install_max = 40
94 am__nobase_strip_setup = \
95   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
96 am__nobase_strip = \
97   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
98 am__nobase_list = $(am__nobase_strip_setup); \
99   for p in $$list; do echo "$$p $$p"; done | \
100   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
101   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
102     if (++n[$$2] == $(am__install_max)) \
103       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
104     END { for (dir in files) print dir, files[dir] }'
105 am__base_list = \
106   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
107   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
108 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
109         "$(DESTDIR)$(libscisignal_processing_la_etcdir)" \
110         "$(DESTDIR)$(libscisignal_processing_la_rootdir)" \
111         "$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)" \
112         "$(DESTDIR)$(libscisignal_processing_la_includedir)"
113 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
114 libscisignal_processing_algo_la_LIBADD =
115 am__objects_1 = degree.lo parcha.lo ouch.lo dfftbi.lo dsqrtc.lo \
116         tranze.lo chebc.lo tscccf.lo dsn2.lo hammin.lo bounn.lo \
117         nstabl.lo ino.lo desia.lo desi11.lo cmpse3.lo cheby.lo \
118         trbize.lo r2tx.lo deli2.lo gee.lo r4tx.lo transn.lo r8tx.lo \
119         kaiser.lo deli11.lo compel.lo filbut.lo desi01.lo desi22.lo \
120         amell.lo desi24.lo dellk.lo syredi.lo dpspln.lo coeft.lo \
121         tranpo.lo blnumz.lo sn.lo bldenz.lo dspln.lo belan.lo desib.lo \
122         freque.lo desi12.lo cmpse2.lo desi14.lo delip.lo deli1.lo \
123         trbipo.lo rpem.lo dfft2.lo dgee01.lo romeg.lo snell.lo \
124         fft842.lo tg02ad.lo remez.lo poles.lo desi00.lo desi21.lo \
125         dfftmx.lo
126 am__objects_2 = libscisignal_processing_algo_la-corrtable.lo
127 am_libscisignal_processing_algo_la_OBJECTS = $(am__objects_1) \
128         $(am__objects_2)
129 libscisignal_processing_algo_la_OBJECTS =  \
130         $(am_libscisignal_processing_algo_la_OBJECTS)
131 libscisignal_processing_la_DEPENDENCIES =  \
132         libscisignal_processing-algo.la \
133         $(top_builddir)/modules/elementary_functions/libscielementary_functions.la \
134         $(top_builddir)/modules/dynamic_link/libscidynamic_link.la \
135         $(top_builddir)/modules/arnoldi/libsciarnoldi.la \
136         $(top_builddir)/modules/output_stream/libscioutput_stream.la
137 am__objects_3 = libscisignal_processing_la-sci_remez.lo \
138         libscisignal_processing_la-sci_amell.lo
139 am__objects_4 = bgetx.lo bgety.lo Ex-corr.lo
140 am__objects_5 = libscisignal_processing_la-signal_gw.lo \
141         libscisignal_processing_la-sci_rpem.lo \
142         libscisignal_processing_la-sci_corr.lo \
143         libscisignal_processing_la-sci_delip.lo \
144         libscisignal_processing_la-sci_fft.lo \
145         libscisignal_processing_la-sci_syredi.lo
146 am_libscisignal_processing_la_OBJECTS = $(am__objects_3) \
147         $(am__objects_4) $(am__objects_5)
148 libscisignal_processing_la_OBJECTS =  \
149         $(am_libscisignal_processing_la_OBJECTS)
150 libscisignal_processing_la_LINK = $(LIBTOOL) --tag=CXX \
151         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
152         $(AM_CXXFLAGS) $(CXXFLAGS) \
153         $(libscisignal_processing_la_LDFLAGS) $(LDFLAGS) -o $@
154 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
155 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
156 am__depfiles_maybe = depfiles
157 am__mv = mv -f
158 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
159         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
160 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
162         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163 CCLD = $(CC)
164 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
165         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
166         $(LDFLAGS) -o $@
167 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
168         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
169 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
170         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
171         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
172 CXXLD = $(CXX)
173 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
174         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
175         $(LDFLAGS) -o $@
176 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
177 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
178         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
179 F77LD = $(F77)
180 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
182         $(LDFLAGS) -o $@
183 SOURCES = $(libscisignal_processing_algo_la_SOURCES) \
184         $(libscisignal_processing_la_SOURCES)
185 DIST_SOURCES = $(libscisignal_processing_algo_la_SOURCES) \
186         $(libscisignal_processing_la_SOURCES)
187 DATA = $(libscisignal_processing_la_etc_DATA) \
188         $(libscisignal_processing_la_root_DATA) \
189         $(libscisignal_processing_la_sci_gateway_DATA)
190 HEADERS = $(libscisignal_processing_la_include_HEADERS)
191 ETAGS = etags
192 CTAGS = ctags
193 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
194 ACLOCAL = @ACLOCAL@
195 ALL_LINGUAS = @ALL_LINGUAS@
196 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
197 AMTAR = @AMTAR@
198 ANT = @ANT@
199 ANTLR = @ANTLR@
200 AR = @AR@
201 AUTOCONF = @AUTOCONF@
202 AUTOHEADER = @AUTOHEADER@
203 AUTOMAKE = @AUTOMAKE@
204 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
205 AWK = @AWK@
206 BATIK = @BATIK@
207 BLAS_LIBS = @BLAS_LIBS@
208 BSH = @BSH@
209 CC = @CC@
210 CCDEPMODE = @CCDEPMODE@
211 CFLAGS = @CFLAGS@
212 CHECKSTYLE = @CHECKSTYLE@
213 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
214 COMMONS_IO = @COMMONS_IO@
215 COMMONS_LOGGING = @COMMONS_LOGGING@
216 CPP = @CPP@
217 CPPFLAGS = @CPPFLAGS@
218 CXX = @CXX@
219 CXXCPP = @CXXCPP@
220 CXXDEPMODE = @CXXDEPMODE@
221 CXXFLAGS = @CXXFLAGS@
222 CYGPATH_W = @CYGPATH_W@
223 DEFS = @DEFS@
224 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
225 DEPDIR = @DEPDIR@
226 DOCBOOK_ROOT = @DOCBOOK_ROOT@
227 DSYMUTIL = @DSYMUTIL@
228 DUMPBIN = @DUMPBIN@
229 ECHO_C = @ECHO_C@
230 ECHO_N = @ECHO_N@
231 ECHO_T = @ECHO_T@
232 EGREP = @EGREP@
233 EXEEXT = @EXEEXT@
234 F77 = @F77@
235 FFLAGS = @FFLAGS@
236 FFTW3_LIB = @FFTW3_LIB@
237 FFTW_ENABLE = @FFTW_ENABLE@
238 FGREP = @FGREP@
239 FLEXDOCK = @FLEXDOCK@
240 FLIBS = @FLIBS@
241 FOP = @FOP@
242 GENHTML = @GENHTML@
243 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
244 GIWS_BIN = @GIWS_BIN@
245 GLUEGEN_RT = @GLUEGEN_RT@
246 GMSGFMT = @GMSGFMT@
247 GMSGFMT_015 = @GMSGFMT_015@
248 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
249 GREP = @GREP@
250 GUI_ENABLE = @GUI_ENABLE@
251 HDF5_CFLAGS = @HDF5_CFLAGS@
252 HDF5_ENABLE = @HDF5_ENABLE@
253 HDF5_LIBS = @HDF5_LIBS@
254 HELP_ENABLE = @HELP_ENABLE@
255 INSTALL = @INSTALL@
256 INSTALL_DATA = @INSTALL_DATA@
257 INSTALL_PROGRAM = @INSTALL_PROGRAM@
258 INSTALL_SCRIPT = @INSTALL_SCRIPT@
259 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
260 INTLLIBS = @INTLLIBS@
261 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
262 JAR = @JAR@
263 JAVA = @JAVA@
264 JAVAC = @JAVAC@
265 JAVAC_DEBUG = @JAVAC_DEBUG@
266 JAVADOC = @JAVADOC@
267 JAVAH = @JAVAH@
268 JAVASCI_ENABLE = @JAVASCI_ENABLE@
269 JAVA_ENABLE = @JAVA_ENABLE@
270 JAVA_G = @JAVA_G@
271 JAVA_HOME = @JAVA_HOME@
272 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
273 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
274 JDB = @JDB@
275 JEUCLID_CORE = @JEUCLID_CORE@
276 JGRAPHX = @JGRAPHX@
277 JHALL = @JHALL@
278 JHDF5 = @JHDF5@
279 JLATEXMATH = @JLATEXMATH@
280 JLATEXMATH_FOP = @JLATEXMATH_FOP@
281 JOGL = @JOGL@
282 JROSETTA_API = @JROSETTA_API@
283 JROSETTA_ENGINE = @JROSETTA_ENGINE@
284 JUNIT = @JUNIT@
285 LAPACK_LIBS = @LAPACK_LIBS@
286 LCOV = @LCOV@
287 LD = @LD@
288 LDFLAGS = @LDFLAGS@
289 LEX = @LEX@
290 LEXLIB = @LEXLIB@
291 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
292 LIBICONV = @LIBICONV@
293 LIBINTL = @LIBINTL@
294 LIBM = @LIBM@
295 LIBOBJS = @LIBOBJS@
296 LIBS = @LIBS@
297 LIBTOOL = @LIBTOOL@
298 LIPO = @LIPO@
299 LN_S = @LN_S@
300 LOGGING_LEVEL = @LOGGING_LEVEL@
301 LOOKS = @LOOKS@
302 LTLIBICONV = @LTLIBICONV@
303 LTLIBINTL = @LTLIBINTL@
304 LTLIBOBJS = @LTLIBOBJS@
305 MAINT = @MAINT@
306 MAKEINFO = @MAKEINFO@
307 MATIO_CFLAGS = @MATIO_CFLAGS@
308 MATIO_ENABLE = @MATIO_ENABLE@
309 MATIO_LIBS = @MATIO_LIBS@
310 MKDIR_P = @MKDIR_P@
311 MSGCAT = @MSGCAT@
312 MSGFMT = @MSGFMT@
313 MSGFMT_015 = @MSGFMT_015@
314 MSGMERGE = @MSGMERGE@
315 NM = @NM@
316 NMEDIT = @NMEDIT@
317 OBJDUMP = @OBJDUMP@
318 OBJEXT = @OBJEXT@
319 OCAMLC = @OCAMLC@
320 OCAMLDEP = @OCAMLDEP@
321 OCAMLLEX = @OCAMLLEX@
322 OCAMLOPT = @OCAMLOPT@
323 OCAMLYACC = @OCAMLYACC@
324 OPENMP_CFLAGS = @OPENMP_CFLAGS@
325 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
326 OPENMP_ENABLE = @OPENMP_ENABLE@
327 OPENMP_LIBS = @OPENMP_LIBS@
328 OTOOL = @OTOOL@
329 OTOOL64 = @OTOOL64@
330 PACKAGE = @PACKAGE@
331 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
332 PACKAGE_NAME = @PACKAGE_NAME@
333 PACKAGE_STRING = @PACKAGE_STRING@
334 PACKAGE_TARNAME = @PACKAGE_TARNAME@
335 PACKAGE_URL = @PACKAGE_URL@
336 PACKAGE_VERSION = @PACKAGE_VERSION@
337 PATH_SEPARATOR = @PATH_SEPARATOR@
338 PCRE_CFLAGS = @PCRE_CFLAGS@
339 PCRE_CONFIG = @PCRE_CONFIG@
340 PCRE_LIBS = @PCRE_LIBS@
341 PCRE_VERSION = @PCRE_VERSION@
342 PKG_CONFIG = @PKG_CONFIG@
343 POSUB = @POSUB@
344 POW_LIB = @POW_LIB@
345 PVMGETARCH = @PVMGETARCH@
346 PVM_ARCH = @PVM_ARCH@
347 PVM_ENABLE = @PVM_ENABLE@
348 PVM_INCLUDE = @PVM_INCLUDE@
349 PVM_LIB = @PVM_LIB@
350 PYTHON = @PYTHON@
351 QDOX = @QDOX@
352 RANLIB = @RANLIB@
353 RELOCATABLE = @RELOCATABLE@
354 RT_LIB = @RT_LIB@
355 SAXON = @SAXON@
356 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
357 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
358 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
359 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
360 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
361 SED = @SED@
362 SET_MAKE = @SET_MAKE@
363 SET_RELOCATABLE = @SET_RELOCATABLE@
364 SHELL = @SHELL@
365 SKINLF = @SKINLF@
366 SPLINT = @SPLINT@
367 STRIP = @STRIP@
368 SWIG_BIN = @SWIG_BIN@
369 SWIG_JAVA = @SWIG_JAVA@
370 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
371 TCLTK_LIBS = @TCLTK_LIBS@
372 TCL_INC_PATH = @TCL_INC_PATH@
373 TESTNG = @TESTNG@
374 TK_INC_PATH = @TK_INC_PATH@
375 UMFPACK_ENABLE = @UMFPACK_ENABLE@
376 UMFPACK_LIB = @UMFPACK_LIB@
377 USE_NLS = @USE_NLS@
378 VERSION = @VERSION@
379 WITH_OCAML = @WITH_OCAML@
380 WITH_TKSCI = @WITH_TKSCI@
381 XCOS_ENABLE = @XCOS_ENABLE@
382 XGETTEXT = @XGETTEXT@
383 XGETTEXT_015 = @XGETTEXT_015@
384 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
385 XMKMF = @XMKMF@
386 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
387 XML_APIS_EXT = @XML_APIS_EXT@
388 XML_CONFIG = @XML_CONFIG@
389 XML_FLAGS = @XML_FLAGS@
390 XML_LIBS = @XML_LIBS@
391 XML_VERSION = @XML_VERSION@
392 X_CFLAGS = @X_CFLAGS@
393 X_EXTRA_LIBS = @X_EXTRA_LIBS@
394 X_LIBS = @X_LIBS@
395 X_PRE_LIBS = @X_PRE_LIBS@
396 YACC = @YACC@
397 YFLAGS = @YFLAGS@
398 abs_builddir = @abs_builddir@
399 abs_srcdir = @abs_srcdir@
400 abs_top_builddir = @abs_top_builddir@
401 abs_top_srcdir = @abs_top_srcdir@
402 ac_ct_CC = @ac_ct_CC@
403 ac_ct_CXX = @ac_ct_CXX@
404 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
405 ac_ct_F77 = @ac_ct_F77@
406 am__include = @am__include@
407 am__leading_dot = @am__leading_dot@
408 am__quote = @am__quote@
409 am__tar = @am__tar@
410 am__untar = @am__untar@
411 bindir = @bindir@
412 build = @build@
413 build_alias = @build_alias@
414 build_cpu = @build_cpu@
415 build_os = @build_os@
416 build_vendor = @build_vendor@
417 builddir = @builddir@
418 cxx_present = @cxx_present@
419 datadir = @datadir@
420 datarootdir = @datarootdir@
421 docdir = @docdir@
422 dvidir = @dvidir@
423 exec_prefix = @exec_prefix@
424 host = @host@
425 host_alias = @host_alias@
426 host_cpu = @host_cpu@
427 host_os = @host_os@
428 host_vendor = @host_vendor@
429 htmldir = @htmldir@
430 includedir = @includedir@
431 infodir = @infodir@
432 install_sh = @install_sh@
433 libdir = @libdir@
434 libexecdir = @libexecdir@
435 localedir = @localedir@
436 localstatedir = @localstatedir@
437 mandir = @mandir@
438 mkdir_p = @mkdir_p@
439 oldincludedir = @oldincludedir@
440 pdfdir = @pdfdir@
441 prefix = @prefix@
442 program_transform_name = @program_transform_name@
443 psdir = @psdir@
444 sbindir = @sbindir@
445 sharedstatedir = @sharedstatedir@
446 srcdir = @srcdir@
447 sysconfdir = @sysconfdir@
448 target_alias = @target_alias@
449 top_build_prefix = @top_build_prefix@
450 top_builddir = @top_builddir@
451 top_srcdir = @top_srcdir@
452 yacc_present = @yacc_present@
453 SIGNAL_PROCESSING_C_SOURCES = \
454     src/c/corrtable.c
455
456 SIGNAL_PROCESSING_FORTRAN_SOURCES = \
457     src/fortran/degree.f \
458     src/fortran/parcha.f \
459     src/fortran/ouch.f \
460     src/fortran/dfftbi.f \
461     src/fortran/dsqrtc.f \
462     src/fortran/tranze.f \
463     src/fortran/chebc.f \
464     src/fortran/tscccf.f \
465     src/fortran/dsn2.f \
466     src/fortran/hammin.f \
467     src/fortran/bounn.f \
468     src/fortran/nstabl.f \
469     src/fortran/ino.f \
470     src/fortran/desia.f \
471     src/fortran/desi11.f \
472     src/fortran/cmpse3.f \
473     src/fortran/cheby.f \
474     src/fortran/trbize.f \
475     src/fortran/r2tx.f \
476     src/fortran/deli2.f \
477     src/fortran/gee.f \
478     src/fortran/r4tx.f \
479     src/fortran/transn.f \
480     src/fortran/r8tx.f \
481     src/fortran/kaiser.f \
482     src/fortran/deli11.f \
483     src/fortran/compel.f \
484     src/fortran/filbut.f \
485     src/fortran/desi01.f \
486     src/fortran/desi22.f \
487     src/fortran/amell.f \
488     src/fortran/desi24.f \
489     src/fortran/dellk.f \
490     src/fortran/syredi.f \
491     src/fortran/dpspln.f \
492     src/fortran/coeft.f \
493     src/fortran/tranpo.f \
494     src/fortran/blnumz.f \
495     src/fortran/sn.f \
496     src/fortran/bldenz.f \
497     src/fortran/dspln.f \
498     src/fortran/belan.f \
499     src/fortran/desib.f \
500     src/fortran/freque.f \
501     src/fortran/desi12.f \
502     src/fortran/cmpse2.f \
503     src/fortran/desi14.f \
504     src/fortran/delip.f \
505     src/fortran/deli1.f \
506     src/fortran/trbipo.f \
507     src/fortran/rpem.f \
508     src/fortran/dfft2.f \
509     src/fortran/dgee01.f \
510     src/fortran/romeg.f \
511     src/fortran/snell.f \
512     src/fortran/fft842.f \
513     src/fortran/tg02ad.f \
514     src/fortran/remez.f \
515     src/fortran/poles.f \
516     src/fortran/desi00.f \
517     src/fortran/desi21.f \
518     src/fortran/dfftmx.f
519
520 GATEWAY_CPP_SOURCES = \
521     sci_gateway/cpp/signal_gw.cpp \
522     sci_gateway/cpp/sci_rpem.cpp \
523     sci_gateway/cpp/sci_corr.cpp \
524     sci_gateway/cpp/sci_delip.cpp \
525     sci_gateway/cpp/sci_fft.cpp \
526     sci_gateway/cpp/sci_syredi.cpp
527
528 GATEWAY_C_SOURCES = \
529     sci_gateway/c/sci_remez.c \
530     sci_gateway/c/sci_amell.c
531
532 GATEWAY_FORTRAN_SOURCES = \
533     sci_gateway/fortran/bgetx.f \
534     sci_gateway/fortran/bgety.f \
535     sci_gateway/fortran/Ex-corr.f
536
537 libscisignal_processing_la_CFLAGS = \
538     -I$(srcdir)/includes/ \
539     -I$(top_srcdir)/modules/output_stream/includes \
540     -I$(top_srcdir)/modules/dynamic_link/includes \
541     -I$(top_srcdir)/modules/api_scilab/includes \
542     -I$(top_srcdir)/modules/statistics/includes \
543     -I$(top_srcdir)/modules/operations/includes
544
545 libscisignal_processing_la_CPPFLAGS = \
546     -I$(srcdir)/includes/ \
547     -I$(top_srcdir)/modules/output_stream/includes \
548     -I$(top_srcdir)/modules/elementary_functions/includes \
549     -I$(top_srcdir)/modules/types/includes \
550     -I$(top_srcdir)/modules/ast/includes \
551     -I$(top_srcdir)/modules/functions_manager/includes \
552     -I$(top_srcdir)/modules/operations/includes \
553     -I$(top_srcdir)/modules/symbol/includes
554
555 pkglib_LTLIBRARIES = libscisignal_processing.la
556 noinst_LTLIBRARIES = libscisignal_processing-algo.la
557 libscisignal_processing_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
558 libscisignal_processing_algo_la_SOURCES = $(SIGNAL_PROCESSING_FORTRAN_SOURCES) $(SIGNAL_PROCESSING_C_SOURCES)
559 libscisignal_processing_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES) $(GATEWAY_CPP_SOURCES)
560 libscisignal_processing_algo_la_CFLAGS = $(libscisignal_processing_la_CFLAGS)
561
562 # For the code check (splint)
563 CHECK_SRC = $(SIGNAL_PROCESSING_C_SOURCES) $(GATEWAY_C_SOURCES)
564 INCLUDE_FLAGS = $(libscisignal_processing_la_CFLAGS)
565 libscisignal_processing_la_LIBADD = libscisignal_processing-algo.la $(top_builddir)/modules/elementary_functions/libscielementary_functions.la $(top_builddir)/modules/dynamic_link/libscidynamic_link.la $(top_builddir)/modules/arnoldi/libsciarnoldi.la $(top_builddir)/modules/output_stream/libscioutput_stream.la
566
567 #### Target ######
568 modulename = signal_processing
569
570 #### signal_processing : Conf files ####
571 libscisignal_processing_la_rootdir = $(mydatadir)
572 libscisignal_processing_la_root_DATA = license.txt 
573
574 ####�signal_processing : init scripts ####
575 libscisignal_processing_la_etcdir = $(mydatadir)/etc
576 libscisignal_processing_la_etc_DATA = etc/signal_processing.quit etc/signal_processing.start
577
578 ####�signal_processing : gateway declaration ####
579 libscisignal_processing_la_sci_gatewaydir = $(mydatadir)/sci_gateway
580 libscisignal_processing_la_sci_gateway_DATA = sci_gateway/signal_processing_gateway.xml
581
582 ####�signal_processing : include files ####
583 libscisignal_processing_la_includedir = $(pkgincludedir)/signal_processing
584 libscisignal_processing_la_include_HEADERS = includes/gw_signal.h
585
586 # Where all the Scilab stuff is installed (macros, help, ...)
587 mydatadir = $(pkgdatadir)/modules/$(modulename)
588
589 # splint options
590 SPLINT_OPTIONS = -weak -booltype BOOL
591
592 ########################### JAVA ######################################
593 #### We are delegating java compilation to ant... Thanks to that
594 #### the procedure will be the same with Microsoft Windows (C)
595 #### and Linux/Unix
596 #######################################################################
597 TARGETS_ALL = $(am__append_1)
598
599 ################ MACROS ######################
600 # Rule to build a macro
601 # NOT USED  AT THE MOMENT
602 SUFFIXES = .sci 
603
604 ########### INSTALL DOCUMENTATION ###################
605
606 # Install documentation files into the right target
607 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
608 # automake needs the html files to be present which is not the case when
609 # we are building Scilab
610
611 # Where it should be installed
612 pkgdocdir = $(mydatadir)
613
614 # What is the mask of the help source
615 DOCMASKXML = *.xml
616
617 # What is the mask of the MathML sources
618 DOCMASKMML = *.mml
619
620 ########### INSTALL DATA ###################
621 # Install macros, help & demos
622 # Where it should be installed
623 pkgmacrosdir = $(mydatadir)
624 # Which directory we process
625 MACRODIRS = macros/
626 # Mask of the Scilab sources macros
627 MACROMASK = *.sci
628 # Mask of the Scilab executable sources macros
629 MACROBUILDMASK = *.sce
630 # Mask of the Scilab compiled macros
631 MACROBINMASK = *.bin
632 # List of the standard directory for tests
633 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
634 # Where the demos should be installed
635 pkgdemosdir = $(mydatadir)
636 # List of the standard directory for demos
637 DEMOS_DIR = demos
638 # List of the standard directory for examples
639 EXAMPLES_DIR = examples
640 # Where to export JAVA archives (.jar)
641 JARDIR = jar/
642 # JAR files mask
643 JARMASK = *.jar
644 # Chapter file 
645 HELP_CHAPTERDIR = help/
646 HELP_CHAPTERFILE = addchapter.sce
647 HELP_CHAPTERLANG = en_US fr_FR pt_BR
648 all: all-am
649
650 .SUFFIXES:
651 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
652 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
653         @for dep in $?; do \
654           case '$(am__configure_deps)' in \
655             *$$dep*) \
656               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
657                 && { if test -f $@; then exit 0; else break; fi; }; \
658               exit 1;; \
659           esac; \
660         done; \
661         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/signal_processing/Makefile'; \
662         $(am__cd) $(top_srcdir) && \
663           $(AUTOMAKE) --foreign modules/signal_processing/Makefile
664 .PRECIOUS: Makefile
665 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
666         @case '$?' in \
667           *config.status*) \
668             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
669           *) \
670             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
671             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
672         esac;
673
674 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
675         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
676
677 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
678         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
679 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
680         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
681 $(am__aclocal_m4_deps):
682
683 clean-noinstLTLIBRARIES:
684         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
685         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
686           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
687           test "$$dir" != "$$p" || dir=.; \
688           echo "rm -f \"$${dir}/so_locations\""; \
689           rm -f "$${dir}/so_locations"; \
690         done
691 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
692         @$(NORMAL_INSTALL)
693         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
694         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
695         list2=; for p in $$list; do \
696           if test -f $$p; then \
697             list2="$$list2 $$p"; \
698           else :; fi; \
699         done; \
700         test -z "$$list2" || { \
701           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
702           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
703         }
704
705 uninstall-pkglibLTLIBRARIES:
706         @$(NORMAL_UNINSTALL)
707         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
708         for p in $$list; do \
709           $(am__strip_dir) \
710           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
711           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
712         done
713
714 clean-pkglibLTLIBRARIES:
715         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
716         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
717           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
718           test "$$dir" != "$$p" || dir=.; \
719           echo "rm -f \"$${dir}/so_locations\""; \
720           rm -f "$${dir}/so_locations"; \
721         done
722 libscisignal_processing-algo.la: $(libscisignal_processing_algo_la_OBJECTS) $(libscisignal_processing_algo_la_DEPENDENCIES) 
723         $(F77LINK)  $(libscisignal_processing_algo_la_OBJECTS) $(libscisignal_processing_algo_la_LIBADD) $(LIBS)
724 libscisignal_processing.la: $(libscisignal_processing_la_OBJECTS) $(libscisignal_processing_la_DEPENDENCIES) 
725         $(libscisignal_processing_la_LINK) -rpath $(pkglibdir) $(libscisignal_processing_la_OBJECTS) $(libscisignal_processing_la_LIBADD) $(LIBS)
726
727 mostlyclean-compile:
728         -rm -f *.$(OBJEXT)
729
730 distclean-compile:
731         -rm -f *.tab.c
732
733 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_algo_la-corrtable.Plo@am__quote@
734 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_amell.Plo@am__quote@
735 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_corr.Plo@am__quote@
736 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_delip.Plo@am__quote@
737 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_fft.Plo@am__quote@
738 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_remez.Plo@am__quote@
739 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_rpem.Plo@am__quote@
740 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-sci_syredi.Plo@am__quote@
741 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisignal_processing_la-signal_gw.Plo@am__quote@
742
743 .c.o:
744 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
745 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
749
750 .c.obj:
751 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
752 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
756
757 .c.lo:
758 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
759 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
763
764 libscisignal_processing_algo_la-corrtable.lo: src/c/corrtable.c
765 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_algo_la_CFLAGS) $(CFLAGS) -MT libscisignal_processing_algo_la-corrtable.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_algo_la-corrtable.Tpo -c -o libscisignal_processing_algo_la-corrtable.lo `test -f 'src/c/corrtable.c' || echo '$(srcdir)/'`src/c/corrtable.c
766 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisignal_processing_algo_la-corrtable.Tpo $(DEPDIR)/libscisignal_processing_algo_la-corrtable.Plo
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/corrtable.c' object='libscisignal_processing_algo_la-corrtable.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_algo_la_CFLAGS) $(CFLAGS) -c -o libscisignal_processing_algo_la-corrtable.lo `test -f 'src/c/corrtable.c' || echo '$(srcdir)/'`src/c/corrtable.c
770
771 libscisignal_processing_la-sci_remez.lo: sci_gateway/c/sci_remez.c
772 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_la_CFLAGS) $(CFLAGS) -MT libscisignal_processing_la-sci_remez.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_remez.Tpo -c -o libscisignal_processing_la-sci_remez.lo `test -f 'sci_gateway/c/sci_remez.c' || echo '$(srcdir)/'`sci_gateway/c/sci_remez.c
773 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_remez.Tpo $(DEPDIR)/libscisignal_processing_la-sci_remez.Plo
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_remez.c' object='libscisignal_processing_la-sci_remez.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_la_CFLAGS) $(CFLAGS) -c -o libscisignal_processing_la-sci_remez.lo `test -f 'sci_gateway/c/sci_remez.c' || echo '$(srcdir)/'`sci_gateway/c/sci_remez.c
777
778 libscisignal_processing_la-sci_amell.lo: sci_gateway/c/sci_amell.c
779 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_la_CFLAGS) $(CFLAGS) -MT libscisignal_processing_la-sci_amell.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_amell.Tpo -c -o libscisignal_processing_la-sci_amell.lo `test -f 'sci_gateway/c/sci_amell.c' || echo '$(srcdir)/'`sci_gateway/c/sci_amell.c
780 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_amell.Tpo $(DEPDIR)/libscisignal_processing_la-sci_amell.Plo
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_amell.c' object='libscisignal_processing_la-sci_amell.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(libscisignal_processing_la_CFLAGS) $(CFLAGS) -c -o libscisignal_processing_la-sci_amell.lo `test -f 'sci_gateway/c/sci_amell.c' || echo '$(srcdir)/'`sci_gateway/c/sci_amell.c
784
785 .cpp.o:
786 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
787 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
791
792 .cpp.obj:
793 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
794 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799 .cpp.lo:
800 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
801 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
802 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
805
806 libscisignal_processing_la-signal_gw.lo: sci_gateway/cpp/signal_gw.cpp
807 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-signal_gw.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-signal_gw.Tpo -c -o libscisignal_processing_la-signal_gw.lo `test -f 'sci_gateway/cpp/signal_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/signal_gw.cpp
808 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-signal_gw.Tpo $(DEPDIR)/libscisignal_processing_la-signal_gw.Plo
809 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/signal_gw.cpp' object='libscisignal_processing_la-signal_gw.lo' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-signal_gw.lo `test -f 'sci_gateway/cpp/signal_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/signal_gw.cpp
812
813 libscisignal_processing_la-sci_rpem.lo: sci_gateway/cpp/sci_rpem.cpp
814 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-sci_rpem.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_rpem.Tpo -c -o libscisignal_processing_la-sci_rpem.lo `test -f 'sci_gateway/cpp/sci_rpem.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_rpem.cpp
815 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_rpem.Tpo $(DEPDIR)/libscisignal_processing_la-sci_rpem.Plo
816 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_rpem.cpp' object='libscisignal_processing_la-sci_rpem.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-sci_rpem.lo `test -f 'sci_gateway/cpp/sci_rpem.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_rpem.cpp
819
820 libscisignal_processing_la-sci_corr.lo: sci_gateway/cpp/sci_corr.cpp
821 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-sci_corr.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_corr.Tpo -c -o libscisignal_processing_la-sci_corr.lo `test -f 'sci_gateway/cpp/sci_corr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_corr.cpp
822 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_corr.Tpo $(DEPDIR)/libscisignal_processing_la-sci_corr.Plo
823 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_corr.cpp' object='libscisignal_processing_la-sci_corr.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-sci_corr.lo `test -f 'sci_gateway/cpp/sci_corr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_corr.cpp
826
827 libscisignal_processing_la-sci_delip.lo: sci_gateway/cpp/sci_delip.cpp
828 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-sci_delip.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_delip.Tpo -c -o libscisignal_processing_la-sci_delip.lo `test -f 'sci_gateway/cpp/sci_delip.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_delip.cpp
829 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_delip.Tpo $(DEPDIR)/libscisignal_processing_la-sci_delip.Plo
830 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_delip.cpp' object='libscisignal_processing_la-sci_delip.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-sci_delip.lo `test -f 'sci_gateway/cpp/sci_delip.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_delip.cpp
833
834 libscisignal_processing_la-sci_fft.lo: sci_gateway/cpp/sci_fft.cpp
835 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-sci_fft.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_fft.Tpo -c -o libscisignal_processing_la-sci_fft.lo `test -f 'sci_gateway/cpp/sci_fft.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_fft.cpp
836 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_fft.Tpo $(DEPDIR)/libscisignal_processing_la-sci_fft.Plo
837 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_fft.cpp' object='libscisignal_processing_la-sci_fft.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-sci_fft.lo `test -f 'sci_gateway/cpp/sci_fft.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_fft.cpp
840
841 libscisignal_processing_la-sci_syredi.lo: sci_gateway/cpp/sci_syredi.cpp
842 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscisignal_processing_la-sci_syredi.lo -MD -MP -MF $(DEPDIR)/libscisignal_processing_la-sci_syredi.Tpo -c -o libscisignal_processing_la-sci_syredi.lo `test -f 'sci_gateway/cpp/sci_syredi.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_syredi.cpp
843 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscisignal_processing_la-sci_syredi.Tpo $(DEPDIR)/libscisignal_processing_la-sci_syredi.Plo
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_syredi.cpp' object='libscisignal_processing_la-sci_syredi.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisignal_processing_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscisignal_processing_la-sci_syredi.lo `test -f 'sci_gateway/cpp/sci_syredi.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_syredi.cpp
847
848 .f.o:
849         $(F77COMPILE) -c -o $@ $<
850
851 .f.obj:
852         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
853
854 .f.lo:
855         $(LTF77COMPILE) -c -o $@ $<
856
857 degree.lo: src/fortran/degree.f
858         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o degree.lo `test -f 'src/fortran/degree.f' || echo '$(srcdir)/'`src/fortran/degree.f
859
860 parcha.lo: src/fortran/parcha.f
861         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o parcha.lo `test -f 'src/fortran/parcha.f' || echo '$(srcdir)/'`src/fortran/parcha.f
862
863 ouch.lo: src/fortran/ouch.f
864         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ouch.lo `test -f 'src/fortran/ouch.f' || echo '$(srcdir)/'`src/fortran/ouch.f
865
866 dfftbi.lo: src/fortran/dfftbi.f
867         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dfftbi.lo `test -f 'src/fortran/dfftbi.f' || echo '$(srcdir)/'`src/fortran/dfftbi.f
868
869 dsqrtc.lo: src/fortran/dsqrtc.f
870         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsqrtc.lo `test -f 'src/fortran/dsqrtc.f' || echo '$(srcdir)/'`src/fortran/dsqrtc.f
871
872 tranze.lo: src/fortran/tranze.f
873         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o tranze.lo `test -f 'src/fortran/tranze.f' || echo '$(srcdir)/'`src/fortran/tranze.f
874
875 chebc.lo: src/fortran/chebc.f
876         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o chebc.lo `test -f 'src/fortran/chebc.f' || echo '$(srcdir)/'`src/fortran/chebc.f
877
878 tscccf.lo: src/fortran/tscccf.f
879         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o tscccf.lo `test -f 'src/fortran/tscccf.f' || echo '$(srcdir)/'`src/fortran/tscccf.f
880
881 dsn2.lo: src/fortran/dsn2.f
882         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dsn2.lo `test -f 'src/fortran/dsn2.f' || echo '$(srcdir)/'`src/fortran/dsn2.f
883
884 hammin.lo: src/fortran/hammin.f
885         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o hammin.lo `test -f 'src/fortran/hammin.f' || echo '$(srcdir)/'`src/fortran/hammin.f
886
887 bounn.lo: src/fortran/bounn.f
888         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bounn.lo `test -f 'src/fortran/bounn.f' || echo '$(srcdir)/'`src/fortran/bounn.f
889
890 nstabl.lo: src/fortran/nstabl.f
891         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o nstabl.lo `test -f 'src/fortran/nstabl.f' || echo '$(srcdir)/'`src/fortran/nstabl.f
892
893 ino.lo: src/fortran/ino.f
894         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o ino.lo `test -f 'src/fortran/ino.f' || echo '$(srcdir)/'`src/fortran/ino.f
895
896 desia.lo: src/fortran/desia.f
897         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desia.lo `test -f 'src/fortran/desia.f' || echo '$(srcdir)/'`src/fortran/desia.f
898
899 desi11.lo: src/fortran/desi11.f
900         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi11.lo `test -f 'src/fortran/desi11.f' || echo '$(srcdir)/'`src/fortran/desi11.f
901
902 cmpse3.lo: src/fortran/cmpse3.f
903         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cmpse3.lo `test -f 'src/fortran/cmpse3.f' || echo '$(srcdir)/'`src/fortran/cmpse3.f
904
905 cheby.lo: src/fortran/cheby.f
906         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cheby.lo `test -f 'src/fortran/cheby.f' || echo '$(srcdir)/'`src/fortran/cheby.f
907
908 trbize.lo: src/fortran/trbize.f
909         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o trbize.lo `test -f 'src/fortran/trbize.f' || echo '$(srcdir)/'`src/fortran/trbize.f
910
911 r2tx.lo: src/fortran/r2tx.f
912         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o r2tx.lo `test -f 'src/fortran/r2tx.f' || echo '$(srcdir)/'`src/fortran/r2tx.f
913
914 deli2.lo: src/fortran/deli2.f
915         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o deli2.lo `test -f 'src/fortran/deli2.f' || echo '$(srcdir)/'`src/fortran/deli2.f
916
917 gee.lo: src/fortran/gee.f
918         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gee.lo `test -f 'src/fortran/gee.f' || echo '$(srcdir)/'`src/fortran/gee.f
919
920 r4tx.lo: src/fortran/r4tx.f
921         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o r4tx.lo `test -f 'src/fortran/r4tx.f' || echo '$(srcdir)/'`src/fortran/r4tx.f
922
923 transn.lo: src/fortran/transn.f
924         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o transn.lo `test -f 'src/fortran/transn.f' || echo '$(srcdir)/'`src/fortran/transn.f
925
926 r8tx.lo: src/fortran/r8tx.f
927         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o r8tx.lo `test -f 'src/fortran/r8tx.f' || echo '$(srcdir)/'`src/fortran/r8tx.f
928
929 kaiser.lo: src/fortran/kaiser.f
930         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o kaiser.lo `test -f 'src/fortran/kaiser.f' || echo '$(srcdir)/'`src/fortran/kaiser.f
931
932 deli11.lo: src/fortran/deli11.f
933         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o deli11.lo `test -f 'src/fortran/deli11.f' || echo '$(srcdir)/'`src/fortran/deli11.f
934
935 compel.lo: src/fortran/compel.f
936         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o compel.lo `test -f 'src/fortran/compel.f' || echo '$(srcdir)/'`src/fortran/compel.f
937
938 filbut.lo: src/fortran/filbut.f
939         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o filbut.lo `test -f 'src/fortran/filbut.f' || echo '$(srcdir)/'`src/fortran/filbut.f
940
941 desi01.lo: src/fortran/desi01.f
942         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi01.lo `test -f 'src/fortran/desi01.f' || echo '$(srcdir)/'`src/fortran/desi01.f
943
944 desi22.lo: src/fortran/desi22.f
945         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi22.lo `test -f 'src/fortran/desi22.f' || echo '$(srcdir)/'`src/fortran/desi22.f
946
947 amell.lo: src/fortran/amell.f
948         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o amell.lo `test -f 'src/fortran/amell.f' || echo '$(srcdir)/'`src/fortran/amell.f
949
950 desi24.lo: src/fortran/desi24.f
951         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi24.lo `test -f 'src/fortran/desi24.f' || echo '$(srcdir)/'`src/fortran/desi24.f
952
953 dellk.lo: src/fortran/dellk.f
954         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dellk.lo `test -f 'src/fortran/dellk.f' || echo '$(srcdir)/'`src/fortran/dellk.f
955
956 syredi.lo: src/fortran/syredi.f
957         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o syredi.lo `test -f 'src/fortran/syredi.f' || echo '$(srcdir)/'`src/fortran/syredi.f
958
959 dpspln.lo: src/fortran/dpspln.f
960         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dpspln.lo `test -f 'src/fortran/dpspln.f' || echo '$(srcdir)/'`src/fortran/dpspln.f
961
962 coeft.lo: src/fortran/coeft.f
963         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o coeft.lo `test -f 'src/fortran/coeft.f' || echo '$(srcdir)/'`src/fortran/coeft.f
964
965 tranpo.lo: src/fortran/tranpo.f
966         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o tranpo.lo `test -f 'src/fortran/tranpo.f' || echo '$(srcdir)/'`src/fortran/tranpo.f
967
968 blnumz.lo: src/fortran/blnumz.f
969         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o blnumz.lo `test -f 'src/fortran/blnumz.f' || echo '$(srcdir)/'`src/fortran/blnumz.f
970
971 sn.lo: src/fortran/sn.f
972         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sn.lo `test -f 'src/fortran/sn.f' || echo '$(srcdir)/'`src/fortran/sn.f
973
974 bldenz.lo: src/fortran/bldenz.f
975         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bldenz.lo `test -f 'src/fortran/bldenz.f' || echo '$(srcdir)/'`src/fortran/bldenz.f
976
977 dspln.lo: src/fortran/dspln.f
978         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dspln.lo `test -f 'src/fortran/dspln.f' || echo '$(srcdir)/'`src/fortran/dspln.f
979
980 belan.lo: src/fortran/belan.f
981         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o belan.lo `test -f 'src/fortran/belan.f' || echo '$(srcdir)/'`src/fortran/belan.f
982
983 desib.lo: src/fortran/desib.f
984         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desib.lo `test -f 'src/fortran/desib.f' || echo '$(srcdir)/'`src/fortran/desib.f
985
986 freque.lo: src/fortran/freque.f
987         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o freque.lo `test -f 'src/fortran/freque.f' || echo '$(srcdir)/'`src/fortran/freque.f
988
989 desi12.lo: src/fortran/desi12.f
990         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi12.lo `test -f 'src/fortran/desi12.f' || echo '$(srcdir)/'`src/fortran/desi12.f
991
992 cmpse2.lo: src/fortran/cmpse2.f
993         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o cmpse2.lo `test -f 'src/fortran/cmpse2.f' || echo '$(srcdir)/'`src/fortran/cmpse2.f
994
995 desi14.lo: src/fortran/desi14.f
996         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi14.lo `test -f 'src/fortran/desi14.f' || echo '$(srcdir)/'`src/fortran/desi14.f
997
998 delip.lo: src/fortran/delip.f
999         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o delip.lo `test -f 'src/fortran/delip.f' || echo '$(srcdir)/'`src/fortran/delip.f
1000
1001 deli1.lo: src/fortran/deli1.f
1002         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o deli1.lo `test -f 'src/fortran/deli1.f' || echo '$(srcdir)/'`src/fortran/deli1.f
1003
1004 trbipo.lo: src/fortran/trbipo.f
1005         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o trbipo.lo `test -f 'src/fortran/trbipo.f' || echo '$(srcdir)/'`src/fortran/trbipo.f
1006
1007 rpem.lo: src/fortran/rpem.f
1008         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rpem.lo `test -f 'src/fortran/rpem.f' || echo '$(srcdir)/'`src/fortran/rpem.f
1009
1010 dfft2.lo: src/fortran/dfft2.f
1011         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dfft2.lo `test -f 'src/fortran/dfft2.f' || echo '$(srcdir)/'`src/fortran/dfft2.f
1012
1013 dgee01.lo: src/fortran/dgee01.f
1014         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dgee01.lo `test -f 'src/fortran/dgee01.f' || echo '$(srcdir)/'`src/fortran/dgee01.f
1015
1016 romeg.lo: src/fortran/romeg.f
1017         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o romeg.lo `test -f 'src/fortran/romeg.f' || echo '$(srcdir)/'`src/fortran/romeg.f
1018
1019 snell.lo: src/fortran/snell.f
1020         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o snell.lo `test -f 'src/fortran/snell.f' || echo '$(srcdir)/'`src/fortran/snell.f
1021
1022 fft842.lo: src/fortran/fft842.f
1023         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fft842.lo `test -f 'src/fortran/fft842.f' || echo '$(srcdir)/'`src/fortran/fft842.f
1024
1025 tg02ad.lo: src/fortran/tg02ad.f
1026         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o tg02ad.lo `test -f 'src/fortran/tg02ad.f' || echo '$(srcdir)/'`src/fortran/tg02ad.f
1027
1028 remez.lo: src/fortran/remez.f
1029         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o remez.lo `test -f 'src/fortran/remez.f' || echo '$(srcdir)/'`src/fortran/remez.f
1030
1031 poles.lo: src/fortran/poles.f
1032         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o poles.lo `test -f 'src/fortran/poles.f' || echo '$(srcdir)/'`src/fortran/poles.f
1033
1034 desi00.lo: src/fortran/desi00.f
1035         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi00.lo `test -f 'src/fortran/desi00.f' || echo '$(srcdir)/'`src/fortran/desi00.f
1036
1037 desi21.lo: src/fortran/desi21.f
1038         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o desi21.lo `test -f 'src/fortran/desi21.f' || echo '$(srcdir)/'`src/fortran/desi21.f
1039
1040 dfftmx.lo: src/fortran/dfftmx.f
1041         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dfftmx.lo `test -f 'src/fortran/dfftmx.f' || echo '$(srcdir)/'`src/fortran/dfftmx.f
1042
1043 bgetx.lo: sci_gateway/fortran/bgetx.f
1044         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bgetx.lo `test -f 'sci_gateway/fortran/bgetx.f' || echo '$(srcdir)/'`sci_gateway/fortran/bgetx.f
1045
1046 bgety.lo: sci_gateway/fortran/bgety.f
1047         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o bgety.lo `test -f 'sci_gateway/fortran/bgety.f' || echo '$(srcdir)/'`sci_gateway/fortran/bgety.f
1048
1049 Ex-corr.lo: sci_gateway/fortran/Ex-corr.f
1050         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o Ex-corr.lo `test -f 'sci_gateway/fortran/Ex-corr.f' || echo '$(srcdir)/'`sci_gateway/fortran/Ex-corr.f
1051
1052 mostlyclean-libtool:
1053         -rm -f *.lo
1054
1055 clean-libtool:
1056         -rm -rf .libs _libs
1057 install-libscisignal_processing_la_etcDATA: $(libscisignal_processing_la_etc_DATA)
1058         @$(NORMAL_INSTALL)
1059         test -z "$(libscisignal_processing_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscisignal_processing_la_etcdir)"
1060         @list='$(libscisignal_processing_la_etc_DATA)'; test -n "$(libscisignal_processing_la_etcdir)" || list=; \
1061         for p in $$list; do \
1062           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1063           echo "$$d$$p"; \
1064         done | $(am__base_list) | \
1065         while read files; do \
1066           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisignal_processing_la_etcdir)'"; \
1067           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisignal_processing_la_etcdir)" || exit $$?; \
1068         done
1069
1070 uninstall-libscisignal_processing_la_etcDATA:
1071         @$(NORMAL_UNINSTALL)
1072         @list='$(libscisignal_processing_la_etc_DATA)'; test -n "$(libscisignal_processing_la_etcdir)" || list=; \
1073         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1074         test -n "$$files" || exit 0; \
1075         echo " ( cd '$(DESTDIR)$(libscisignal_processing_la_etcdir)' && rm -f" $$files ")"; \
1076         cd "$(DESTDIR)$(libscisignal_processing_la_etcdir)" && rm -f $$files
1077 install-libscisignal_processing_la_rootDATA: $(libscisignal_processing_la_root_DATA)
1078         @$(NORMAL_INSTALL)
1079         test -z "$(libscisignal_processing_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscisignal_processing_la_rootdir)"
1080         @list='$(libscisignal_processing_la_root_DATA)'; test -n "$(libscisignal_processing_la_rootdir)" || list=; \
1081         for p in $$list; do \
1082           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1083           echo "$$d$$p"; \
1084         done | $(am__base_list) | \
1085         while read files; do \
1086           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisignal_processing_la_rootdir)'"; \
1087           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisignal_processing_la_rootdir)" || exit $$?; \
1088         done
1089
1090 uninstall-libscisignal_processing_la_rootDATA:
1091         @$(NORMAL_UNINSTALL)
1092         @list='$(libscisignal_processing_la_root_DATA)'; test -n "$(libscisignal_processing_la_rootdir)" || list=; \
1093         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1094         test -n "$$files" || exit 0; \
1095         echo " ( cd '$(DESTDIR)$(libscisignal_processing_la_rootdir)' && rm -f" $$files ")"; \
1096         cd "$(DESTDIR)$(libscisignal_processing_la_rootdir)" && rm -f $$files
1097 install-libscisignal_processing_la_sci_gatewayDATA: $(libscisignal_processing_la_sci_gateway_DATA)
1098         @$(NORMAL_INSTALL)
1099         test -z "$(libscisignal_processing_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)"
1100         @list='$(libscisignal_processing_la_sci_gateway_DATA)'; test -n "$(libscisignal_processing_la_sci_gatewaydir)" || list=; \
1101         for p in $$list; do \
1102           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1103           echo "$$d$$p"; \
1104         done | $(am__base_list) | \
1105         while read files; do \
1106           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)'"; \
1107           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)" || exit $$?; \
1108         done
1109
1110 uninstall-libscisignal_processing_la_sci_gatewayDATA:
1111         @$(NORMAL_UNINSTALL)
1112         @list='$(libscisignal_processing_la_sci_gateway_DATA)'; test -n "$(libscisignal_processing_la_sci_gatewaydir)" || list=; \
1113         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1114         test -n "$$files" || exit 0; \
1115         echo " ( cd '$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)' && rm -f" $$files ")"; \
1116         cd "$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)" && rm -f $$files
1117 install-libscisignal_processing_la_includeHEADERS: $(libscisignal_processing_la_include_HEADERS)
1118         @$(NORMAL_INSTALL)
1119         test -z "$(libscisignal_processing_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscisignal_processing_la_includedir)"
1120         @list='$(libscisignal_processing_la_include_HEADERS)'; test -n "$(libscisignal_processing_la_includedir)" || list=; \
1121         for p in $$list; do \
1122           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1123           echo "$$d$$p"; \
1124         done | $(am__base_list) | \
1125         while read files; do \
1126           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscisignal_processing_la_includedir)'"; \
1127           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscisignal_processing_la_includedir)" || exit $$?; \
1128         done
1129
1130 uninstall-libscisignal_processing_la_includeHEADERS:
1131         @$(NORMAL_UNINSTALL)
1132         @list='$(libscisignal_processing_la_include_HEADERS)'; test -n "$(libscisignal_processing_la_includedir)" || list=; \
1133         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1134         test -n "$$files" || exit 0; \
1135         echo " ( cd '$(DESTDIR)$(libscisignal_processing_la_includedir)' && rm -f" $$files ")"; \
1136         cd "$(DESTDIR)$(libscisignal_processing_la_includedir)" && rm -f $$files
1137
1138 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1139         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1140         unique=`for i in $$list; do \
1141             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1142           done | \
1143           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1144               END { if (nonempty) { for (i in files) print i; }; }'`; \
1145         mkid -fID $$unique
1146 tags: TAGS
1147
1148 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1149                 $(TAGS_FILES) $(LISP)
1150         set x; \
1151         here=`pwd`; \
1152         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1153         unique=`for i in $$list; do \
1154             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1155           done | \
1156           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1157               END { if (nonempty) { for (i in files) print i; }; }'`; \
1158         shift; \
1159         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1160           test -n "$$unique" || unique=$$empty_fix; \
1161           if test $$# -gt 0; then \
1162             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1163               "$$@" $$unique; \
1164           else \
1165             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1166               $$unique; \
1167           fi; \
1168         fi
1169 ctags: CTAGS
1170 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1171                 $(TAGS_FILES) $(LISP)
1172         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1173         unique=`for i in $$list; do \
1174             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1175           done | \
1176           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1177               END { if (nonempty) { for (i in files) print i; }; }'`; \
1178         test -z "$(CTAGS_ARGS)$$unique" \
1179           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1180              $$unique
1181
1182 GTAGS:
1183         here=`$(am__cd) $(top_builddir) && pwd` \
1184           && $(am__cd) $(top_srcdir) \
1185           && gtags -i $(GTAGS_ARGS) "$$here"
1186
1187 distclean-tags:
1188         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1189
1190 distdir: $(DISTFILES)
1191         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1192         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1193         list='$(DISTFILES)'; \
1194           dist_files=`for file in $$list; do echo $$file; done | \
1195           sed -e "s|^$$srcdirstrip/||;t" \
1196               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1197         case $$dist_files in \
1198           */*) $(MKDIR_P) `echo "$$dist_files" | \
1199                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1200                            sort -u` ;; \
1201         esac; \
1202         for file in $$dist_files; do \
1203           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1204           if test -d $$d/$$file; then \
1205             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1206             if test -d "$(distdir)/$$file"; then \
1207               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1208             fi; \
1209             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1210               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1211               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1212             fi; \
1213             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1214           else \
1215             test -f "$(distdir)/$$file" \
1216             || cp -p $$d/$$file "$(distdir)/$$file" \
1217             || exit 1; \
1218           fi; \
1219         done
1220 check-am: all-am
1221         $(MAKE) $(AM_MAKEFLAGS) check-local
1222 check: check-am
1223 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1224 installdirs:
1225         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscisignal_processing_la_etcdir)" "$(DESTDIR)$(libscisignal_processing_la_rootdir)" "$(DESTDIR)$(libscisignal_processing_la_sci_gatewaydir)" "$(DESTDIR)$(libscisignal_processing_la_includedir)"; do \
1226           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1227         done
1228 install: install-am
1229 install-exec: install-exec-am
1230 install-data: install-data-am
1231 uninstall: uninstall-am
1232
1233 install-am: all-am
1234         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1235
1236 installcheck: installcheck-am
1237 install-strip:
1238         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1239           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1240           `test -z '$(STRIP)' || \
1241             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1242 mostlyclean-generic:
1243
1244 clean-generic:
1245
1246 distclean-generic:
1247         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1248         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1249
1250 maintainer-clean-generic:
1251         @echo "This command is intended for maintainers to use"
1252         @echo "it deletes files that may require special tools to rebuild."
1253 clean: clean-am
1254
1255 clean-am: clean-generic clean-libtool clean-local \
1256         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1257
1258 distclean: distclean-am
1259         -rm -rf ./$(DEPDIR)
1260         -rm -f Makefile
1261 distclean-am: clean-am distclean-compile distclean-generic \
1262         distclean-local distclean-tags
1263
1264 dvi: dvi-am
1265
1266 dvi-am:
1267
1268 html: html-am
1269
1270 html-am:
1271
1272 info: info-am
1273
1274 info-am:
1275
1276 install-data-am: install-data-local \
1277         install-libscisignal_processing_la_etcDATA \
1278         install-libscisignal_processing_la_includeHEADERS \
1279         install-libscisignal_processing_la_rootDATA \
1280         install-libscisignal_processing_la_sci_gatewayDATA
1281
1282 install-dvi: install-dvi-am
1283
1284 install-dvi-am:
1285
1286 install-exec-am: install-pkglibLTLIBRARIES
1287
1288 install-html: install-html-am
1289
1290 install-html-am: install-html-local
1291
1292 install-info: install-info-am
1293
1294 install-info-am:
1295
1296 install-man:
1297
1298 install-pdf: install-pdf-am
1299
1300 install-pdf-am:
1301
1302 install-ps: install-ps-am
1303
1304 install-ps-am:
1305
1306 installcheck-am:
1307
1308 maintainer-clean: maintainer-clean-am
1309         -rm -rf ./$(DEPDIR)
1310         -rm -f Makefile
1311 maintainer-clean-am: distclean-am maintainer-clean-generic
1312
1313 mostlyclean: mostlyclean-am
1314
1315 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1316         mostlyclean-libtool
1317
1318 pdf: pdf-am
1319
1320 pdf-am:
1321
1322 ps: ps-am
1323
1324 ps-am:
1325
1326 uninstall-am: uninstall-libscisignal_processing_la_etcDATA \
1327         uninstall-libscisignal_processing_la_includeHEADERS \
1328         uninstall-libscisignal_processing_la_rootDATA \
1329         uninstall-libscisignal_processing_la_sci_gatewayDATA \
1330         uninstall-pkglibLTLIBRARIES
1331
1332 .MAKE: check-am install-am install-strip
1333
1334 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1335         clean clean-generic clean-libtool clean-local \
1336         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1337         distclean distclean-compile distclean-generic \
1338         distclean-libtool distclean-local distclean-tags distdir dvi \
1339         dvi-am html html-am info info-am install install-am \
1340         install-data install-data-am install-data-local install-dvi \
1341         install-dvi-am install-exec install-exec-am install-html \
1342         install-html-am install-html-local install-info \
1343         install-info-am install-libscisignal_processing_la_etcDATA \
1344         install-libscisignal_processing_la_includeHEADERS \
1345         install-libscisignal_processing_la_rootDATA \
1346         install-libscisignal_processing_la_sci_gatewayDATA install-man \
1347         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1348         install-ps install-ps-am install-strip installcheck \
1349         installcheck-am installdirs maintainer-clean \
1350         maintainer-clean-generic mostlyclean mostlyclean-compile \
1351         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1352         tags uninstall uninstall-am \
1353         uninstall-libscisignal_processing_la_etcDATA \
1354         uninstall-libscisignal_processing_la_includeHEADERS \
1355         uninstall-libscisignal_processing_la_rootDATA \
1356         uninstall-libscisignal_processing_la_sci_gatewayDATA \
1357         uninstall-pkglibLTLIBRARIES
1358
1359
1360 # This target enables tests for Scilab
1361 check-local: $(top_builddir)/scilab-bin test
1362         @COMMAND="test_run('$(modulename)');quit";\
1363         export LANG=C;\
1364         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1365 check-code:
1366         if test -f build.xml; then \
1367                 $(ANT) checkstyle; \
1368         fi
1369         if test -x "$(SPLINT)"; then \
1370                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1371         fi
1372 @NEED_JAVA_TRUE@java:
1373 # Some configurations needs to export JAVA_HOME in the current env
1374 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1375 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1376 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1377 @NEED_JAVA_TRUE@                $(ANT); \
1378 @NEED_JAVA_TRUE@        fi
1379
1380 @NEED_JAVA_TRUE@clean-java:
1381 # Some configurations needs to export JAVA_HOME in the current env
1382 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1383 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1384 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1385 @NEED_JAVA_TRUE@                $(ANT) clean; \
1386 @NEED_JAVA_TRUE@        fi;
1387
1388 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1389 # We call the target swig-build on the variable SWIG_WRAPPERS
1390
1391 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1392 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1393 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1394 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1395 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1396 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1397 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1398 @SWIG_TRUE@             done; \
1399 @SWIG_TRUE@     fi
1400
1401 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1402 # We call the target swig-build on the variable SWIG_WRAPPERS
1403
1404 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1405 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1406 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1407 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1408 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1409 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1410 @GIWS_TRUE@             done; \
1411 @GIWS_TRUE@     fi
1412
1413 macros:
1414         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1415                 echo "Error : Cannot build $< : Scilab has not been built"; \
1416         else \
1417                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1418         fi)
1419
1420 # Removes the macros
1421 clean-macros:
1422 # Removes macros (*.bin generated from .sci)
1423         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1424                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1425                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1426         done
1427
1428 test:
1429 # More tests could be added here
1430         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1431         if test -f build.xml -a $$USEANT -eq 1; then \
1432                 $(ANT) test; \
1433         fi
1434
1435 all-local: $(TARGETS_ALL)
1436
1437 .sci.bin:
1438         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1439         echo "Error : Cannot build $< : Scilab has not been build"; \
1440         else \
1441         echo "Creating $@"; \
1442         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1443         fi )
1444
1445 install-html-local:
1446
1447 install-data-local-local:
1448 # Mainly for javasci
1449         @if test -d $(srcdir)/javadoc; then \
1450                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1451         fi
1452 # If the user wants the help sources to be installed
1453 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1454 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1455 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1456 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1457 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1458 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1459 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1460 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1461 @INSTALL_HELP_XML_TRUE@           done ; \
1462 @INSTALL_HELP_XML_TRUE@         fi; \
1463 @INSTALL_HELP_XML_TRUE@  fi; \
1464 @INSTALL_HELP_XML_TRUE@ done; \
1465 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1466 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1467 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1468 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1469 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1470 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1471 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1472 @INSTALL_HELP_XML_TRUE@           done ; \
1473 @INSTALL_HELP_XML_TRUE@         fi; \
1474 @INSTALL_HELP_XML_TRUE@ fi
1475 install-data-local:
1476 # Install the tests
1477         @echo "-------- Install tests (if any) --------"; \
1478         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1479           if test -d $(srcdir)/$$dir/; then \
1480             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1481                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1482                     if test -d "$(srcdir)/$$dir/$$file"; then \
1483                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1484                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1485                     else \
1486                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1487                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1488                     fi \
1489                   done; \
1490           fi; \
1491         done
1492 # Install the help chapter
1493         @echo "-------- Install the help chapter (if any) --------"; \
1494         for lang in $(HELP_CHAPTERLANG); do \
1495                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1496                 if test -f $$HELPFILE; then \
1497                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1498                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1499                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1500                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1501                 fi; \
1502         done
1503 # Install the demos & examples
1504         @echo "-------- Install demos & examples (if any) --------"; \
1505         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1506           if test -d $(srcdir)/$$dir/; then \
1507             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1508                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1509                     if test -d "$(srcdir)/$$dir/$$file"; then \
1510                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1511                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1512                     else \
1513                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1514                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1515                     fi \
1516                   done; \
1517           fi; \
1518         done
1519 # Install the macros
1520         @echo "-------- Install macros (if any) --------"; \
1521         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1522           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1523                 if test -d $(srcdir)/$$dir/; then \
1524                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1525                         if test -n "$(MACROSSPECIALEXT)"; then \
1526                                 specialExtDir=""; \
1527                                 for specialExt in $(MACROSSPECIALEXT); do \
1528                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1529                                 done; \
1530                                 FILELIST="$$FILELIST $$specialExtDir"; \
1531                         fi; \
1532                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1533                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1534                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1535                   done; \
1536                 fi; \
1537         done
1538 # Install java files (.jar)
1539         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1540         echo "-------- Install jar files --------"; \
1541     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1542           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1543                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1544                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1545           done ; \
1546         fi
1547
1548 ########### CLEAN ###################
1549 # Clean help (generated automatically by Scilab)
1550 # It used to clean the macro (clean-macros) but this was causing
1551 # make clean && make to fail Scilab startup
1552 @NEED_JAVA_TRUE@clean-local: clean-java
1553 @NEED_JAVA_FALSE@clean-local:
1554
1555 distclean-local:
1556         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1557
1558 .PHONY: macros java swig giws
1559
1560 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1561 # Otherwise a system limit (for SysV at least) may be exceeded.
1562 .NOEXPORT: